Bug 487364 - (CVE-2009-0749) CVE-2009-0749 optipng: memory re-allocation flaw in GIF reader
CVE-2009-0749 optipng: memory re-allocation flaw in GIF reader
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 11:44 EST by Tomas Hoger
Modified: 2009-03-02 14:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 14:49:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of the upstream patch (1.94 KB, patch)
2009-02-25 11:45 EST, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2009-02-25 11:44:19 EST
Quoting security updates section of the upstream page:
  All current OptiPNG versions are known to be vulnerable to memory
  reallocation attacks, due to a bug in the GIF image reader. (Many
  thanks to Roy Tam for the report, as well as the fix.) 

  http://optipng.sourceforge.net/

Upstream patch to be included in future upstream versions:
http://prdownloads.sourceforge.net/optipng/optipng-0.6.2.1.diff?download
Comment 1 Tomas Hoger 2009-02-25 11:45:15 EST
Created attachment 333177 [details]
Local copy of the upstream patch

Taken from:
http://prdownloads.sourceforge.net/optipng/optipng-0.6.2.1.diff?download
Comment 2 Fedora Update System 2009-02-25 13:06:26 EST
optipng-0.6.2.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/optipng-0.6.2.1-1.fc10
Comment 3 Fedora Update System 2009-02-25 13:06:31 EST
optipng-0.6.2.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/optipng-0.6.2.1-1.fc9
Comment 4 Fedora Update System 2009-02-26 10:31:54 EST
optipng-0.6.2.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-02-26 10:32:05 EST
optipng-0.6.2.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Tomas Hoger 2009-03-02 14:49:17 EST
CVE-2009-0749:

Use-after-free vulnerability in the GIFReadNextExtension function in
lib/pngxtern/gif/gifread.c in OptiPNG 0.6.2 and earlier allows
context-dependent attackers to cause a denial of service (application
crash) via a crafted GIF image that causes the realloc function to
return a new pointer, which triggers memory corruption when the old
pointer is accessed.

Note You need to log in before you can comment on or make changes to this bug.